/*
 *  Copyright (c) 2007 Jiri Benc <jbenc@upir.cz>
 *
 *  This program is free software; you can redistribute it and/or modify
 *  it under the terms of the GNU General Public License version 2 as
 *  published by the Free Software Foundation.
 *
 *  This program is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *  GNU General Public License for more details.
 *
 *  You should have received a copy of the GNU General Public License
 *  along with this program; if not, write to the Free Software
 *  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
 */

#ifndef _PREFS_H
#define _PREFS_H

#include <gtk/gtk.h>

enum key_action {
	A_NOTHING,
	A_FULLSCREEN,
	A_QUIT,
	A_PREV_SCR,
	A_NEXT_SCR,
	A_PREV_CHORD,
	A_NEXT_CHORD,
	A_FIRST_SUBCHORD,
	A_PREV_SUBCHORD,
	A_NEXT_SUBCHORD,
	A_FIRST_SUFF,
	A_PREV_SUFF,
	A_NEXT_SUFF,

	__A_LAST
};
#define A_CNT __A_LAST


void prefs_init(void (*changed)(void));
void run_prefs(GtkWindow *parent);

int get_key_action(unsigned keyval);

#endif
